GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
buf_displaced_step_closure Struct Reference

`#include "infrun.h"`

Inheritance diagram for buf_displaced_step_closure:

## Public Member Functions
| buf_displaced_step_closure (int buf_size)
Public Member Functions inherited from displaced_step_closure
virtual | ~displaced_step_closure ()=0

## Public Attributes
gdb::byte_vector | buf

## Detailed Description

Definition at line 256 of file infrun.h.

## Constructor & Destructor Documentation

## ◆ buf_displaced_step_closure()

buf_displaced_step_closure::buf_displaced_step_closure | ( | int | buf_size | ) |
| inline

Definition at line 258 of file infrun.h.

## Member Data Documentation

## ◆ buf

gdb::byte_vector buf_displaced_step_closure::buf

Definition at line 262 of file infrun.h.

Referenced by i386_displaced_step_copy_insn(), i386_displaced_step_fixup(), i386_linux_displaced_step_copy_insn(), and s390_displaced_step_fixup().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infrun.h